libsigc++ 2.99.6

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | List of all members
sigc::signal< T_return(T_arg...)> Class Template Reference

`#include <sigc++/signal.h>`

Inheritance diagram for sigc::signal< T_return(T_arg...)>:
[legend]

## Classes
class | accumulated
| Like sigc::signal but the additional template parameter T_accumulator defines the accumulator type that should be used. More...

## Public Types
using | accumulator_type = void
Public Types inherited from sigc::signal_with_accumulator< T_return, void, T_arg...>
using | slot_type = slot< T_return(T_arg...)>
Public Types inherited from sigc::signal_base
using | size_type = std::size_t
Public Types inherited from sigc::trackable
using | func_destroy_notify = internal::func_destroy_notify
Public Types inherited from sigc::notifiable
using | func_destroy_notify = internal::func_destroy_notify

## Public Member Functions
| signal ()=default
| signal (const signal& src)
| signal (signal&& src)
signal& | operator= (const signal& src)
signal& | operator= (signal&& src)
Public Member Functions inherited from sigc::signal_with_accumulator< T_return, void, T_arg...>
| signal_with_accumulator ()=default
| signal_with_accumulator (const signal_with_accumulator& src)
| signal_with_accumulator (signal_with_accumulator&& src)
connection | connect (const slot_type& slot_)
| Add a slot to the list of slots. More...
connection | connect (slot_type&& slot_)
| Add a slot to the list of slots. More...
decltype(auto) | emit (type_trait_take_t< T_arg >...a) const
| Triggers the emission of the signal. More...
decltype(auto) | make_slot () const
| Creates a functor that calls emit() on this signal. More...
decltype(auto) | operator() (type_trait_take_t< T_arg >...a) const
| Triggers the emission of the signal (see emit()). More...
signal_with_accumulator& | operator= (const signal_with_accumulator& src)
signal_with_accumulator& | operator= (signal_with_accumulator&& src)
Public Member Functions inherited from sigc::signal_base
| signal_base () noexcept
| signal_base (const signal_base& src) noexcept
| signal_base (signal_base&& src)
| ~signal_base ()
void | block (bool should_block=true) noexcept
| Sets the blocking state of all slots in the list. More...
bool | blocked () const noexcept
| Returns whether all slots in the list are blocked. More...
void | clear ()
| Empties the list of slots. More...
bool | empty () const noexcept
| Returns whether the list of slots is empty. More...
signal_base& | operator= (const signal_base& src)
signal_base& | operator= (signal_base&& src)
size_type | size () const noexcept
| Returns the number of slots in the list. More...
void | unblock () noexcept
| Unsets the blocking state of all slots in the list. More...
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable& src) noexcept
| trackable (trackable&& src)
| ~trackable ()
void | add_destroy_notify_callback (notifiable* data, func_destroy_notify func) const
| Add a callback that is executed (notified) when the trackable object is detroyed. More...
void | notify_callbacks ()
| Execute and remove all previously installed callbacks. More...
trackable& | operator= (const trackable& src)
trackable& | operator= (trackable&& src)
void | remove_destroy_notify_callback (notifiable* data) const
| Remove a callback previously installed with add_destroy_notify_callback(). More...

## Additional Inherited Members
Protected Types inherited from sigc::signal_base
using | iterator_type = internal::signal_impl::iterator_type
Protected Member Functions inherited from sigc::signal_base
iterator_type | connect (const slot_base& slot_)
| Adds a slot at the end of the list of slots. More...
iterator_type | connect (slot_base&& slot_)
| Adds a slot at the end of the list of slots. More...
iterator_type | erase (iterator_type i)
| Removes the slot at the given position from the list of slots. More...
std::shared_ptr< internal::signal_impl > | impl () const
| Returns the signal_impl object encapsulating the list of slots. More...
iterator_type | insert (iterator_type i, const slot_base& slot_)
| Adds a slot at the given position into the list of slots. More...
iterator_type | insert (iterator_type i, slot_base&& slot_)
| Adds a slot at the given position into the list of slots. More...
Protected Attributes inherited from sigc::signal_base
std::shared_ptr< internal::signal_impl > | impl_
| The signal_impl object encapsulating the slot list. More...

## Member Typedef Documentation

template <typename T_return , typename... T_arg>

using sigc::signal< T_return(T_arg...)>::accumulator_type = void

## Constructor & Destructor Documentation

template <typename T_return , typename... T_arg>

sigc::signal< T_return(T_arg...)>::signal | ( |  | ) |
| default

template <typename T_return , typename... T_arg>

sigc::signal< T_return(T_arg...)>::signal | ( | const signal< T_return(T_arg...)>& | src | ) |
| inline

template <typename T_return , typename... T_arg>

sigc::signal< T_return(T_arg...)>::signal | ( | signal< T_return(T_arg...)>&& | src | ) |
| inline

## Member Function Documentation

template <typename T_return , typename... T_arg>

signal& sigc::signal< T_return(T_arg...)>::operator= | ( | const signal< T_return(T_arg...)>& | src | ) |
| inline

template <typename T_return , typename... T_arg>

signal& sigc::signal< T_return(T_arg...)>::operator= | ( | signal< T_return(T_arg...)>&& | src | ) |
| inline